%define bname Bitcoin
%define consensus_major 0
%define libconsensus %mklibname bitcoinconsensus %{consensus_major}
%define consensus_devel %mklibname bitcoinconsensus -d

Summary:	%{bname} payment network
Name:		bitcoin
Version:	0.12.0
Release:	%mkrel 3
Source0:	https://bitcoin.org/bin/bitcoin-core-%{version}/%{name}-%{version}.tar.gz
Patch1:		bitcoin-0.11.0-qt5-fpic.patch
License:	MIT
Group:		Office/Finance
Url:		http://www.bitcoin.org/
BuildRequires:	boost-devel
BuildRequires:	db-devel >= 5.3.0
BuildRequires:	miniupnpc-devel
BuildRequires:	qrencode-devel
BuildRequires:	dbus-devel
BuildRequires:	protobuf-devel
BuildRequires:	protobuf-compiler
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qttools5
BuildRequires:	pkgconfig(libssl)
BuildRequires:	pkgconfig(libcrypto)
BuildRequires:	pkgconfig(protobuf)
BuildRequires:	pkgconfig(libevent)

%description
%{bname} is an innovative payment network and a new kind of money.

%package -n %{name}d
Summary:	%{bname} command line client
Group:		Office/Finance

%description -n %{name}d
%{name}d is the original %{bname} command line client.

%package qt
Summary:	%{bname} graphical Qt client
Group:		Office/Finance

%description qt
%{bname}-Qt is the original %{bname} graphical client.

%package -n %{libconsensus}
Summary:	Shared libs for bitcoinconsensus
Group:		System/Libraries

%description -n %{libconsensus}
Shared libs for bitcoinconsensus.

%package -n %{consensus_devel}
Summary:	Development files for bitcoinconsensus
Group:		Development/C
Provides:	consensus-devel = %{version}
Requires:	%{libconsensus} = %{version}

%description -n %{consensus_devel}
This package contains development files for the bitcoinconsensus
library.

%prep
%setup -q

%build
export CPPFLAGS="%optflags -I%{_includedir}/db53 -fPIC"
%configure2_5x BDB_INCLUDE_PATH=/usr/include/db53 \
    --disable-static \
    --with-incompatible-bdb
make

%install
%make_install
#

rm -f %{buildroot}/%{_bindir}/test_*
rm -f %{buildroot}/%{_libdir}/*.la

%files -n %{name}d
%{_bindir}/%{name}d
%{_bindir}/%{name}-cli
%{_bindir}/%{name}-tx
%{_bindir}/bench_%{name}

%files qt
%{_bindir}/%{name}-qt

%files -n %{libconsensus}
%{_libdir}/libbitcoinconsensus.so.%{consensus_major}
%{_libdir}/libbitcoinconsensus.so.%{consensus_major}.*

%files -n %{consensus_devel}
%{_includedir}/bitcoinconsensus.h
%{_libdir}/libbitcoinconsensus.so
%{_libdir}/pkgconfig/libbitcoinconsensus.pc


%changelog
* Tue May 16 2017 neoclust <neoclust> 0.12.0-3.mga6
+ Revision: 1102002
- Rebuild against new miniupnpc

* Thu Feb 16 2017 mrambo3501 <mrambo3501> 0.12.0-2.mga6
+ Revision: 1086459
- rebuild for new libevent

* Tue Mar 01 2016 fwang <fwang> 0.12.0-1.mga6
+ Revision: 981277
- update file list
- update file list
- update file list
- add more br
- 0.12.0

* Sat Feb 13 2016 umeabot <umeabot> 0.11.0-8.mga6
+ Revision: 959605
- Mageia 6 Mass Rebuild
- Mageia 6 Mass Rebuild

* Sat Dec 26 2015 daviddavid <daviddavid> 0.11.0-6.mga6
+ Revision: 915162
- rebuild for new boost 1.60.0
- add missing BR on pkgconfig(openssl)

* Mon Oct 19 2015 fwang <fwang> 0.11.0-5.mga6
+ Revision: 892635
- disable static
- update file name
- add desc
- add shared libs
- turn back to qt4 flavour
- force fpic
- build qt5 with fpic
- use qt5 version of lrelease
- adopt to new api of miniupnpc
- build qt5 flavour
- rebuild for new miniupnpc

* Fri Sep 25 2015 daviddavid <daviddavid> 0.11.0-4.mga6
+ Revision: 883654
- rebuild for new boost 1.59.0

* Thu Sep 03 2015 cjw <cjw> 0.11.0-3.mga6
+ Revision: 872419
- rebuild with gcc 5

* Fri Jul 31 2015 daviddavid <daviddavid> 0.11.0-2.mga6
+ Revision: 859863
- rebuild for new boost-1.58.0

* Sat Jul 25 2015 blino <blino> 0.11.0-1.mga6
+ Revision: 857684
- add bitcoinconsensus devel package
- remove .la file
- package bitcoin-cli man page
- package bitcoin-tx tool
- 0.11.0

* Mon Jan 12 2015 buchan <buchan> 0.9.3-1.mga5
+ Revision: 810038
- Fix BDB detection in cauldron
- Update to 0.9.3
- ship man pages, bash completions etc.

* Wed Dec 17 2014 sander85 <sander85> 0.8.6-5.mga5
+ Revision: 803772
- Rebuild for miniupnpc

* Wed Oct 15 2014 umeabot <umeabot> 0.8.6-4.mga5
+ Revision: 740966
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.6-3.mga5
+ Revision: 678161
- Mageia 5 Mass Rebuild

* Wed May 14 2014 luigiwalser <luigiwalser> 0.8.6-2.mga5
+ Revision: 622816
- rebuild for miniupnpc

* Fri Jan 03 2014 blino <blino> 0.8.6-1.mga5
+ Revision: 564126
- initial Mageia package (0.8.6)
- Created package structure for bitcoin.

